from launch import LaunchDescription
from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
        
        Node(
            package='aruco_detector',
            executable='aruco_detector_node',
            parameters=[
                {'url_yaml_file' : "file:///home/ros2/dev2_ws/src/aruco_detector/hd_pro_webcam_c920.yaml"},     # !! insert here your own yaml file url
            ]
        ),
        Node(
            package='usb_cam',
            executable='usb_cam_node_exe',
            parameters=[
                {'framerate' : 30.0},
                {'camera_name' : 'hd_pro_webcam_c920'},
                {'autofocus' : True},
                {'camera_info_url' : "file:///home/ros2/dev2_ws/src/aruco_detector/hd_pro_webcam_c920.yaml"},   # !! insert here your own yaml file url

                #uncomment for Full_HD
                #{'image_width' : 1920},            
                #{'image_height' : 1080},

                #uncomment for HD
                {'image_width' : 1280},            
                {'image_height' : 720},
            ]
        ),
        Node(
            package='rqt_image_view',
            executable='rqt_image_view',
        ),
    ])